#!/bin/sh
# rasmol.sh
# RasMol Molecular Graphics
# Version 2.7.1.1

# modified by Michael Shigorin <mike@altlinux.org>, 2003
# to auto-choose binary for given screen depth

RASMOLPATH=/usr/share/RasMol
export RASMOLPATH

#RASMOLPDBPATH=/databases/pdb
#export RASMOLPDBPATH

bpp=`xdpyinfo | awk '/depth of root window:/ { print $5; }'`
case $bpp in
	8)	rasmol-8bpp $@;;
	15|16)	rasmol-16bpp $@;;
	24|32)	rasmol-32bpp $@;;
	*)	echo "** '$bpp': unrecognized screen depth, exiting";
		exit 1;;
esac
